Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## info.bioinfweb.treegraph.gui.treeframe.ruler
Enum RulerUnit

    java.lang.Object
      java.lang.Enum<RulerUnit>
          info.bioinfweb.treegraph.gui.treeframe.ruler.RulerUnit

All Implemented Interfaces:
  Serializable, Comparable<RulerUnit>

    public enum RulerUnit

extends Enum<RulerUnit>

Enumerates the units displayable by the ruler.

Author:
  Ben Stöver

Enum Constant Summary
`CENTIMETER`
`INCH`

Method Summary
`static RulerUnit` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RulerUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CENTIMETER

    public static final RulerUnit CENTIMETER

### INCH

    public static final RulerUnit INCH

Method Detail

### values

    public static RulerUnit[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RulerUnit c : RulerUnit.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RulerUnit valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD